Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		gnome-utils
Version:	2.26.0
Release:	1
Summary:	GNOME utility programs
Group:		Graphical Desktop/GNOME
License:	GNU/GPL
URL:		http://www.gnome.org
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-utils/gnome-utils-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	usermode

Requires(post):		scrollkeeper
Requires(post):		desktop-file-utils
Requires(post):		GConf
Requires(preun):	GConf
Requires(pre):		GConf
Requires(postun):	scrollkeeper
Requires(postun):	desktop-file-utils

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-panel-libs
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgtop-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-utils package
includes a set of small "desk accessory" utility applications for GNOME.

%package	devel
Summary:	Libraries and headers for gnome-utils libraries
Group:		Development/Libraries
Requires:	glib-devel
Requires:	gtk2+-devel
Requires:	gnome-utils = %{version}-%{release}
Requires:	pkg-config

%description	devel
The gnome-utils-devel package contains header files and other resources
needed develop programs using the libraries contained in gnome-utils.

%post
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-dictionary.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-system-log.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-search-tool.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-screenshot.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/baobab.schemas \
		>& /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-dictionary.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-system-log.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-search-tool.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-screenshot.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/baobab.schemas \
		>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-dictionary.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-system-log.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-search-tool.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-screenshot.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/baobab.schemas \
		>& /dev/null || :
fi

%postun
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -q

pushd gfloppy
echo "NoDisplay=true" >> gfloppy.desktop.in
popd

%build
%configure \
--sysconfdir=%_sysconfdir/gnome \
--localstatedir=/var/lib \
--libexecdir=$(pkg-config \
--variable=prefix ORBit-2.0)/lib/gnome-utils \
--disable-scrollkeeper \
--enable-console-helper \
--with-pam-prefix=%_sysconfdir \
--disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang gnome-utils-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gnome-utils-2.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%_sysconfdir/gnome/gconf/schemas/gnome-dictionary.schemas
%_sysconfdir/gnome/gconf/schemas/gnome-screenshot.schemas
%_sysconfdir/gnome/gconf/schemas/gnome-search-tool.schemas
%_sysconfdir/gnome/gconf/schemas/baobab.schemas
%_sysconfdir/gnome/gconf/schemas/gnome-system-log.schemas
%_bindir/gnome-dictionary
%_bindir/gnome-panel-screenshot
%_bindir/gnome-screenshot
%_bindir/gnome-search-tool
%_bindir/gnome-system-log
%_bindir/baobab
%_applications
%_datadir/gdict-1.0/
%_datadir/gnome-dictionary/
%_datadir/gnome-screenshot/
%_datadir/gnome-utils/
%_datadir/baobab/
%_datadir/gnome/help
%_pixmaps
%_datadir/icons
%_libdir/gnome-utils/gnome-dictionary-applet
%_datadir/gnome-2.0/ui/GNOME_DictionaryApplet.xml
%_libdir/bonobo/servers/GNOME_DictionaryApplet.server
%_libdir/libgdict-1.0.so.*
%_mandir
%_datadir/omf
%_datadir/gtk-doc

%files devel
%_libdir/libgdict-1.0.so
%_pkgconfig
%_includedir
%_libdir/*.a
%_libdir/*.la

%changelog
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.20.0.1-2
- changed package group to Graphical Desktop/GNOME
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0.1-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.0-2
- rebuild, moved libexec
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.0-1
- Initial release